Subject: Re: bug#34476: fluffy whitespace in the mode-line, despite it running off the screen

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Aug 2020 18:00:23 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 08 Aug 2020 16:16:04 +0200
> 
> There's four spaces between *scratch* and All because they have
> different faces...  which makes me wonder why there's trailing spaces in
> the buffer name at all, instead of just three spaces after the buffer
> name in the mode line format?

That's because mode-line-buffer-identification uses %12b as the format
to show the buffer name.

> There's also the question of allowing a value of `long' to
> mode-line-compact -- which would only compact the mode line if it's
> longer than the window width.  Would that be difficult to add?

No, it should be an almost trivial addition to the condition under
which we perform the squeezing.  Basically, compare it.current_x with
it.last_visible_x.